%define         majornum        0
%define         libname         %mklibname %{name} %{majornum}
%define         develname       %mklibname %{name} -d

%define         gccinstalldir   %(LC_ALL=C %__cc --print-search-dirs | %__grep install | %__awk '{print $2}')
%define         fincludedir     %{gccinstalldir}/finclude

Name:           aspic
Version:        0.3.2
Release:        %mkrel 4
Summary:        A scientific library dedicated to inflationary cosmology
License:        GPLv3+
Group:          Sciences/Astronomy

URL:            http://cp3.irmp.ucl.ac.be/~ringeval/aspic.html
Source0:        http://cp3.irmp.ucl.ac.be/~ringeval/upload/patches/aspic/aspic-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
%ifarch %{ix86} x86_64
BuildRequires:  quadmath-devel
%endif
BuildRequires:  libgomp-devel

%description
Aspic is a collection of fast modern Fortran routines for computing
various observable quantities used in Cosmology from definite single
field inflationary models. It is distributed as a scientific library
and aims at providing an efficient, extendable and accurate way of
comparing theoretical inflationary predictions with cosmological data.


%package -n %{libname}
License:        GPLv3+
Summary:        The Aspic Fortran library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Aspic is a collection of fast modern Fortran routines for computing
various observable quantities used in Cosmology from definite single
field inflationary models. It is distributed as a scientific library
and aims at providing an efficient, extendable and accurate way of
comparing theoretical inflationary predictions with cosmological data.


%package -n %{develname}
License:        GPLv3+
Summary:        Headers and modules for the Fortran Aspic libraries
Group:          Development/Other
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
%{summary}.


%prep

%setup -q




%build

if [ ! -d build-std ]; then
        mkdir build-std
fi
pushd build-std
CONFIGURE_TOP=.. %configure2_5x \
                    --includedir=%{fincludedir}
%make
popd

%ifarch %{ix86} x86_64
if [ ! -d build-quad ]; then
        mkdir build-quad
fi
pushd build-quad
CONFIGURE_TOP=.. %configure2_5x \
                    --includedir=%{fincludedir} \
                    --enable-quad-precision
popd
%endif




%check
%make check -C build-std
%ifarch %{ix86} x86_64
%make check -C build-quad
%endif




%install

pushd build-std
%makeinstall_std
popd

%ifarch %{ix86} x86_64
pushd build-quad
%makeinstall_std
popd
%endif

#nuke la files from libtools
find %{buildroot}%{_libdir} -name *.la -delete
find %{buildroot}%{_libdir} -name *.a -delete


%files -n %{libname}
%doc COPYING AUTHORS README NEWS
%{_libdir}/libaspic.so.%{majornum}{,.*}
%ifarch %{ix86} x86_64
%{_libdir}/libaspicq.so.%{majornum}{,.*}
%endif
%{_mandir}/man3/*.3*


%files -n %{develname}
%doc ChangeLog TODO
%{_libdir}/libaspic.so
%dir %{fincludedir}/aspic
%{fincludedir}/aspic/*.mod
%{fincludedir}/aspic/aspic.h
%ifarch %{ix86} x86_64
%{_libdir}/libaspicq.so
%dir %{fincludedir}/aspicq
%{fincludedir}/aspicq/*.mod
%{fincludedir}/aspicq/aspicq.h
%endif



%changelog
* Thu Aug 04 2016 eatdirt <eatdirt> 0.3.2-4.mga6
+ Revision: 1044456
- Rebuild for new gfortran (module versionning)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 10 2015 neoclust <neoclust> 0.3.2-2.mga6
+ Revision: 909332
- Add podd inside the %%ifarch

* Wed Aug 26 2015 eatdirt <eatdirt> 0.3.2-1.mga6
+ Revision: 869731
- Upgrade to version 0.3.2

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-5.mga5
+ Revision: 739969
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-4.mga5
+ Revision: 677997
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 eatdirt <eatdirt> 0.3.1-3.mga5
+ Revision: 597217
- Add provides, update url

* Mon Oct 21 2013 umeabot <umeabot> 0.3.1-2.mga4
+ Revision: 539693
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 eatdirt <eatdirt> 0.3.1-1.mga4
+ Revision: 492802
- imported package aspic

